Bug 1389068 - [RFE] Support for custom Amazon Regions in Provider
Summary: [RFE] Support for custom Amazon Regions in Provider
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Adam Grare
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ec2:provider
Depends On:
Blocks: 1434152
TreeView+ depends on / blocked
 
Reported: 2016-10-26 18:43 UTC by Matt Bagnara
Modified: 2020-06-11 13:03 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1434152 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:22:51 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Matt Bagnara 2016-10-26 18:43:56 UTC
Description of problem:
Customers such as those in C2S use different amazon regions than the ones available in the UI when creating a new AWS Provider.

Version-Release number of selected component (if applicable):
5.7.0.7-beta1.20161025153249_9376fbd

How reproducible:


Steps to Reproduce:
1. Compute->Clouds->providers
2. Configuration->Add New Cloud Provider
3. Type=Amazon EC2


Actual results:
Region selector is limited to specific values.

Expected results:
Ability to specify a custom AWS region that is not listed.

Additional info:

Comment 4 Matt Bagnara 2016-11-14 22:34:00 UTC
Custom amazon region strings are required when deploying to specific versions of AWS. Right now the current AWS provider has a list of region strings to choose from, but no ability to specify one directly in the UI. Expect to see a dropdown list that can also be manually be changed to set a custom Amazon region string.

Comment 6 CFME Bot 2016-12-13 21:50:59 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/dc89321303c6b78cba66c5357c372d8bdcce6170

commit dc89321303c6b78cba66c5357c372d8bdcce6170
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Dec 1 08:34:32 2016 -0500
Commit:     Adam Grare <adam@grare.com>
CommitDate: Sun Dec 11 14:13:35 2016 -0500

    Add an additional_regions key for amazon EC2
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1389068

 config/settings.yml | 1 +
 1 file changed, 1 insertion(+)

Comment 7 CFME Bot 2016-12-15 10:52:45 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/master:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/96722e0fc8656847649a5f84a7bea0304a5e68ec

commit 96722e0fc8656847649a5f84a7bea0304a5e68ec
Author:     Adam Grare <adam@grare.com>
AuthorDate: Fri Dec 2 12:03:39 2016 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Wed Dec 14 12:58:55 2016 -0500

    Include additional_regions from settings
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1389068

 app/models/manageiq/providers/amazon/regions.rb    |  5 +-
 .../manageiq/providers/amazon/regions_spec.rb      | 60 ++++++++++++++++++++++
 2 files changed, 64 insertions(+), 1 deletion(-)

Comment 8 Adam Grare 2016-12-15 13:25:50 UTC
Additional regions can be added to the config/settings.yml file with the following format:

:ems:
  :ems_amazon:
    :additional_regions:
      :spec-region-1:
        :name: Special Region
        :hostname: ec2.spec-region-1.amazonaws.com
        :description: Super Special Region

Comment 10 Matouš Mojžíš 2017-04-10 13:33:38 UTC
Verified in 5.8.0.9. I am able to add custom EC2 region.

Comment 12 errata-xmlrpc 2017-05-31 14:22:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.